Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Date_Time Class Reference

System independent representation of date and time. More...

`#include <Date_Time.h>`

List of all members.

## Public Methods
| ACE_Date_Time (void)
| Constructor initializes current time/date info.
| ACE_Date_Time (long day, long month = 0, long year = 0, long hour = 0, long minute = 0, long second = 0, long microsec = 0)
| Constructor with init values, no check for validy Set/get portions of ACE_Date_Time, no check for validity.
void | update (void)
| Update to the current time/date.
long | day (void) const
| Get day.
void | day (long day)
| Set day.
long | month (void) const
| Get month.
void | month (long month)
| Set month.
long | year (void) const
| Get year.
void | year (long year)
| Set year.
long | hour (void) const
| Get hour.
void | hour (long hour)
| Set hour.
long | minute (void) const
| Get minute.
void | minute (long minute)
| Set minute.
long | second (void) const
| Get second.
void | second (long second)
| Set second.
long | microsec (void) const
| Get microsec.
void | microsec (long microsec)
| Set microsec.
## Private Attributes
long | day_
long | month_
long | year_
long | hour_
long | minute_
long | second_
long | microsec_

## Detailed Description

System independent representation of date and time.

## Constructor & Destructor Documentation

ASYS_INLINE ACE_Date_Time::ACE_Date_Time ( | void )

| Constructor initializes current time/date info.

ASYS_INLINE ACE_Date_Time::ACE_Date_Time ( | long day,
| long month = 0,
| long year = 0,
| long hour = 0,
| long minute = 0,
| long second = 0,
| long microsec = 0 )

| Constructor with init values, no check for validy Set/get portions of ACE_Date_Time, no check for validity.

## Member Function Documentation

ASYS_INLINE void ACE_Date_Time::day ( | long day )

| Set day.

ASYS_INLINE long ACE_Date_Time::day ( | void ) const

| Get day.

ASYS_INLINE void ACE_Date_Time::hour ( | long hour )

| Set hour.

ASYS_INLINE long ACE_Date_Time::hour ( | void ) const

| Get hour.

ASYS_INLINE void ACE_Date_Time::microsec ( | long microsec )

| Set microsec.

ASYS_INLINE long ACE_Date_Time::microsec ( | void ) const

| Get microsec.

ASYS_INLINE void ACE_Date_Time::minute ( | long minute )

| Set minute.

ASYS_INLINE long ACE_Date_Time::minute ( | void ) const

| Get minute.

ASYS_INLINE void ACE_Date_Time::month ( | long month )

| Set month.

ASYS_INLINE long ACE_Date_Time::month ( | void ) const

| Get month.

ASYS_INLINE void ACE_Date_Time::second ( | long second )

| Set second.

ASYS_INLINE long ACE_Date_Time::second ( | void ) const

| Get second.

ASYS_INLINE void ACE_Date_Time::update ( | void )

| Update to the current time/date.

ASYS_INLINE void ACE_Date_Time::year ( | long year )

| Set year.

ASYS_INLINE long ACE_Date_Time::year ( | void ) const

| Get year.

## Member Data Documentation

long ACE_Date_Time::day_`[private]`

long ACE_Date_Time::hour_`[private]`

long ACE_Date_Time::microsec_`[private]`

long ACE_Date_Time::minute_`[private]`

long ACE_Date_Time::month_`[private]`

long ACE_Date_Time::second_`[private]`

long ACE_Date_Time::year_`[private]`

The documentation for this class was generated from the following files:

- Date_Time.h
- Date_Time.i